Skip to main content
GET
/
workspaces
/
{id}
Get a workspace
curl --request GET \
  --url https://openrouter.ai/api/v1/workspaces/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://openrouter.ai/api/v1/workspaces/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://openrouter.ai/api/v1/workspaces/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "created_at": "2025-08-24T10:30:00Z",
    "created_by": "user_abc123",
    "default_image_model": "openai/dall-e-3",
    "default_provider_sort": "price",
    "default_text_model": "openai/gpt-4o",
    "description": "Production environment workspace",
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "io_logging_api_key_ids": null,
    "io_logging_sampling_rate": 1,
    "is_data_discount_logging_enabled": true,
    "is_observability_broadcast_enabled": false,
    "is_observability_io_logging_enabled": false,
    "name": "Production",
    "slug": "production",
    "updated_at": "2025-08-24T15:45:00Z"
  }
}
{
"error": {
"code": 401,
"message": "Missing Authentication header"
}
}
{
"error": {
"code": 404,
"message": "Resource not found"
}
}
{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}

Authorizations

Authorization
string
header
required

API key as bearer token in Authorization header

Path Parameters

id
string
required

The workspace ID (UUID) or slug

Minimum string length: 1
Example:

"production"

Response

Workspace details

data
object
required

The workspace

Example:
{
"created_at": "2025-08-24T10:30:00Z",
"created_by": "user_abc123",
"default_image_model": "openai/dall-e-3",
"default_provider_sort": "price",
"default_text_model": "openai/gpt-4o",
"description": "Production environment workspace",
"id": "550e8400-e29b-41d4-a716-446655440000",
"io_logging_api_key_ids": null,
"io_logging_sampling_rate": 1,
"is_data_discount_logging_enabled": true,
"is_observability_broadcast_enabled": false,
"is_observability_io_logging_enabled": false,
"name": "Production",
"slug": "production",
"updated_at": "2025-08-24T15:45:00Z"
}